Bug 479880 - Support protocol T1 cards in CoolKey for ESC
Support protocol T1 cards in CoolKey for ESC
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
1.0
All All
high Severity high
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788 514298
  Show dependency treegraph
 
Reported: 2009-01-13 14:05 EST by Jack Magne
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 514298 (view as bug list)
Environment:
Last Closed: 2009-07-22 19:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Code to allow protocol T1 cards. (3.64 KB, patch)
2009-01-13 14:07 EST, Jack Magne
no flags Details | Diff

  None (edit)
Description Jack Magne 2009-01-13 14:05:11 EST
Description of problem:

Coolkey as it stands, supports only the T0 protocol cards.
There is a simple patch included later, that will allow CoolKey to recognize cards that favor protocol T1.

Version-Release number of selected component (if applicable):

esc-1.0.1

How reproducible:

Always

Steps to Reproduce:
1. Launch the current ESC on any platform.
2. Input a token that favors protocol T1.
3. Note that the card is not recognized by ESC.
  
Actual results:

ESC does not recognize the card.

Expected results:

ESC should recognize this card.

Additional info:

Further evidence of this failure can be observed by starting pcscd  in foreground mode , such that the logs can be viewed in real time.

as root:

/etc/init.d/pcscd stop
/usr/sbin/pcscd -f -d

When a token is inserted, the logs should complain about protocol mismatch errors.
Comment 1 Jack Magne 2009-01-13 14:07:39 EST
Created attachment 328908 [details]
Code to allow protocol T1 cards.
Comment 2 Jack Magne 2009-01-14 23:56:55 EST
rrelyea, can you review 328908?
Comment 3 Bob Relyea 2009-01-21 14:06:16 EST
Comment on attachment 328908 [details]
Code to allow protocol T1 cards.

r+ as long as you verified the code works on all platforms (I'm pretty sure that all platforms support g_rsSCardTIPci, but we should make sure).

bob
Comment 4 Jack Magne 2009-01-22 22:53:24 EST
Code compiles successfully on Windows and Mac.
The test T1 card is recognized on Windows, will test Mac.
Comment 5 Jack Magne 2009-01-23 19:08:28 EST
Checking in cky_card.c;
/cvs/dirsec/coolkey/src/libckyapplet/cky_card.c,v  <--  cky_card.c
new revision: 1.2; previous revision: 1.1
done
Comment 6 Asha Akkiangady 2009-06-11 16:06:34 EDT
Gemalto 64K and Safenet 330 J cards are recognized by ESC on Windows (XP and Vista) and RHEL5.3 platforms. 
Jack, these two tokens support T1 protocol? 
Lets keep this bug open till we test ESC on Mac.
Comment 7 Jack Magne 2009-06-11 19:09:31 EDT
The Safenet token requires T1 protocol.
Therefore I think we should close this one.
If the Mac has problems with the Safenet, it will probably be for other reasons, not the fact that it's the T1 protocol.

We could open up a new bug for that.
Comment 8 Asha Akkiangady 2009-06-12 12:25:19 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.